Subject: Re: [PATCH net-next 2/5] dp83640: Delay scheduled work.

From: Richard Cochran <[email-masked]>
Date: Fri, 30 Oct 2015 21:37:29 +0100

On Fri, Oct 30, 2015 at 01:14:01PM +0100, Stefan Sørensen wrote:
> Currently rx_timestamp_work reschedules itself as a regular workqueue item,
> effectively causing it run constantly as long as there are packets left in
> the queue. Fix by using delayed workqueue items, limiting it to run only
> every two jiffies.

NAK.  We want to have the time stamp ASAP, because the delay between
the transmission of the Sync and its application in the servo degrades
or even spoils synchronization.  Think of an ARM SoC with HZ=100.  Two
jiffies are 20 milliseconds.

Thanks,
Richard